Skip to main content
GET
/
v1
/
incidents
/
{incident_id}
/
activity
Get incident activity
curl --request GET \
  --url https://api.intrace.ai/v1/incidents/{incident_id}/activity \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "kind": "<string>",
      "at": "2023-11-07T05:31:56Z",
      "threat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "threat_version": {}
    }
  ],
  "total": 123
}
Returns a merged timeline of:
  • threat-link activity
  • threat-version activity for linked threats

Query Parameters

ParameterTypeRequiredDescription
include_versions_before_linkbooleanNoInclude historical threat versions created before the threat was linked into the incident

Authorizations

X-API-Key
string
header
required

Path Parameters

incident_id
string<uuid>
required

Query Parameters

Response

200 - application/json

Incident timeline.

items
object[]
required
total
integer
required